<!DOCTYPE html>
<html>
<head>
<meta charset=utf-8 />
<title></title>

<!-- <script src="https://cdnjs.cloudflare.com/ajax/libs/leaflet/0.7.3/leaflet.js"></script>

<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/leaflet/0.7.3/leaflet.css" />


 <link rel="stylesheet" href="https://unpkg.com/leaflet@1.3.4/dist/leaflet.css"
  integrity="sha512-puBpdR0798OZvTTbP4A8Ix/l+A4dHDD0DGqYW6RQ+9jxkRFclaxxQb/SJAWZfWAkuyeQUytO7+7N4QKrDh+drA=="
  crossorigin=""/>
<script src="https://unpkg.com/leaflet@1.3.4/dist/leaflet.js"
  integrity="sha512-nMMmRyTVoLYqjP9hrbed9S+FzjZHW5gY1TWCHA5ckwXZBadntCNs8kEqAWdrb9O7rxbCaA4lKTIWjDXZxflOcA=="
  crossorigin=""></script>
   -->
   <script src="js/scripts.js"></script>
    <link rel="stylesheet" href="librerias/leaflet/leaflet.css"/>
<script src="librerias/leaflet/leaflet.js"></script>
<style>
  body { margin:0; padding:0; }
  #map {width: 100%;height: 280px;}
</style>
</head>
<body>



<div id='map'></div>

<?php
sleep(2);
$ubicacion = $_COOKIE['ubicacion'];
$coordenadas = explode("|",$ubicacion);
if($coordenadas[0] !="" AND $coordenadas[1] !="" ){
$lon = $coordenadas[0];
$lat = $coordenadas[1];
$zoom = "20";

}else{
	if ($_REQUEST['lat'] !='') {$lat=$_REQUEST['lat'];}else {$lat= "-72";}
	if ($_REQUEST['lon'] !='') {$lon=$_REQUEST['lon'];}else {$lon= "4";}
	if ($_REQUEST['zoom'] !='') {$zoom=$_REQUEST['zoom'];}else {$zoom= "20";}
}

 ?>

<script>


//var e.latlng= localizacion;
//alert(localizacion);

var map = L.map('map')
   .setView([<?php echo $lon ?>, <?php echo $lat ?>], <?php echo $zoom ?>);
L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png').addTo(map);

<?php
if(!isset($_REQUEST['exif'])) { ?>

function onLocationFound(e) {
			//var radius = e.accuracy / 2;
			var marker = L.marker(e.latlng,{draggable: true}).addTo(map);
			var mapa = window.parent.document.getElementById("<?php echo $_REQUEST[id] ?>");
			mapa.value= '<?php echo "$lon $lat $zoom"; ?>';
			marker.on('dragend', ondragend);
			ondragend();
			map.setZoom(<?php echo $zoom; ?>);
			var m = marker.getLatLng();
			mapa.value= m.lng+' '+m.lat+' <?php echo $zoom; ?>';

	function ondragend() {
    			var m = marker.getLatLng();
    			var z = map.getZoom();


     map.setZoom(z);

      mapa.value= m.lng+' '+m.lat+' '+z;
}

									}
function onLocationError(e) {
			//alert(e.message);
			var marker = L.marker([<?php echo $lon ?>,<?php echo $lat ?>],{draggable: true}).addTo(map);
			var mapa = window.parent.document.getElementById('<?php echo $_REQUEST[id]?>');
			marker.on('dragend', ondragend);
			ondragend();
function ondragend() {
    			var m = marker.getLatLng();
    			var z = map.getZoom();
    mapa.value= m.lng+' '+m.lat+' '+z;
 }
		}
		map.on('locationerror', onLocationError);
		map.on('locationfound', onLocationFound);
		map.locate({setView: true, maxZoom: 20});
<?php }else{ ?>

	var marker = L.marker([<?php echo $lon ?>,<?php echo $lat ?>],{draggable: true}).addTo(map);
	var mapa = window.parent.document.getElementById('<?php echo $_REQUEST[id]?>');
			marker.on('dragend', ondragend);
			ondragend();
	function ondragend() {
    			var m = marker.getLatLng();
    			var z = map.getZoom();
    mapa.value= m.lng+' '+m.lat+' '+z;
 }

<?php	} ?>


//var lat = window.parent.document.getElementById('lat');
//var lng = window.parent.document.getElementById('lon');
//var mapa = window.parent.document.getElementById('<?php echo $_REQUEST[id]?>');

//var marker = L.marker([<?php echo $lon ?>,<?php echo $lat ?>],{draggable: true}).addTo(map);



// every time the marker is dragged, update the coordinates container
//marker.on('dragend', ondragend);

// Set the initial marker coordinate on load.
//ondragend();

/*
function ondragend() {
    var m = marker.getLatLng();
    var z = map.getZoom();

   // lat.value= m.lat;
   // lng.value= m.lng;
    mapa.value= m.lng+' '+m.lat+' '+z;
}*/
</script>


</body>
</html>
